import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

/**
 * LED品牌格式化器
 */
export default class LedBrandFormatter {

    ledBrand: INumberValueTagStyle[] = [
        {value: 0, label: '灵信', type: 'primary'}
    ];

    ledBrandFormatter(value: any): INumberValueTagStyle {
        const findResult = this.ledBrand.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value, label: '？' + value.toString(), type: 'danger'};
    }
}